$(document).ready(function() {
    cargarPuertas();

});



function cargarPuertas() {
    $.ajax({
        type: 'post',
        url: 'puertasCargar-ajax.php',
        success: function(data) {

            $("#tableContent").html(data).fadeIn('slow');

            jQuery('#tablaPuertas').DataTable({
                responsive: true
            });

        },
        error: function(msg) {

            alert('No se pudo cargar la información');

        },
        complete: function() {

        }
    })

}

function solicitaRecuperar(par1, par2) {

    $.ajax({
        type:'post',
        url: 'puertasRecuperar-ajax.php',
        data:{
            par1 : par1
        },
        success: function(data) {

            $("#div_modal_puerta").html(data).fadeIn('slow');
            $('#md_modal_puerta').modal('show');

        }
    })

}

function guardarPuerta() {
    $.ajax({
        type: 'post',
        url: 'puertasGuardar-ajax.php',
        dataType: 'json',
        beforeSend: function() {
            //mostrar_blockUI();
        },
        async: false,
        data: $("#frm_puerta").serialize(),
        success: function(msg) {

            if (msg.success) {
                $('#md_modal_puerta').modal('hide');
                modalMensajeMostrar( 'Guardar puerta', msg.mensaje, cargarPuertas);
            } else {
                modalMensajeMostrar( 'Guardar puerta', msg.mensaje);
            }
        },
        error: function(msg) {
            modalMensajeMostrar( 'Error', 'No se pudo cargar la información' );
        },
        complete: function() {
            ocultar_blockUI();
        }
    });

}


function puertaEliminarConfirmar(par1, par2) {
    modalConfirmarMostrar('Eliminación de una puerta', '¿Está seguro de eliminar la puerta <b>' + par2 + '</b>?', 
                            puertaEliminar, par1, 'Eliminar', 'picons-thin-icon-thin-0018_office_trash_bin');
}

function puertaEliminar() {

    var v_par1 = $('#md_modal_confirmar_txt_id').val();
    $.ajax({
        type: 'post',
        url: 'puertasEliminar-ajax.php',
        data: {
            par1: v_par1
        },
        dataType: 'json',
        beforeSend: function() {
            mostrar_blockUI();
        },
        success: function(msg) {
            if (msg.success) {
                $('#md_modal_confirmar').modal('hide');
                modalMensajeMostrar( 'Eliminación de una puerta', msg.mensaje, cargarPuertas);
            } else {
                modalMensajeMostrar( 'Eliminación de una puerta', msg.mensaje);
            }
        },
        error: function(msg) {
            $('#md_modal_confirmar_lbl_mensaje').text('No se pudo eliminar la puerta');
        },
        complete: function() {
            ocultar_blockUI();			
        }

    });

}


